#
# Conditional build:
%bcond_without	doc		# Sphinx documentation
%bcond_with	tests		# unit tests (random timeouts on builders)

Summary:	Highly concurrent networking library for Python 2
Summary(pl.UTF-8):	Biblioteka sieciowa o dużym stopniu zrównoleglenia dla Pythona 2
Name:		python3-eventlet
Version:	0.39.1
Release:	1
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/eventlet/
Source0:	https://files.pythonhosted.org/packages/source/e/eventlet/eventlet-%{version}.tar.gz
# Source0-md5:	00206ce34e033f9a8167270c29c4b24d
URL:		https://pypi.org/project/eventlet/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-build
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-dns >= 1.15.0
BuildRequires:	python3-greenlet >= 0.3
BuildRequires:	python3-nose >= 1.3.1
BuildRequires:	python3-six >= 1.10.0
%endif
%if %{with doc}
BuildRequires:	python3-dns >= 1.15.0
BuildRequires:	python3-greenlet >= 0.3
BuildRequires:	sphinx-pdg >= 2
%endif
%if %{with tests}
# SO_REUSEPORT option for tests.convenience_test.test_socket_reuse
BuildRequires:	uname(release) >= 3.9
%endif
Requires:	python3-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eventlet is a concurrent networking library for Python that allows you
to change how you run your code, not how you write it.

It uses epoll or libevent for highly scalable non-blocking I/O.
Coroutines ensure that the developer uses a blocking style of
programming that is similar to threading, but provide the benefits of
non-blocking I/O. The event dispatch is implicit, which means you can
easily use Eventlet from the Python interpreter, or as a small part of
a larger application.

%description -l pl.UTF-8
Eventlet to równoległa biblioteka sieciowa dla Ptyhona, pozwalająca na
zmianę sposobu uruchamiania kodu bez sposobu pisania go.

Biblioteka wykorzystuje epoll lub libevent do wysoko skalowalnych,
nieblokujących operacji we/wy. Korutyny zapewniają, że programista
korzysta z blokującego stylu programowania, podobnego do wątkowego,
ale mającego zalety nieblokującego we/wy. Przekazywania zdarzeń jest
domyślne, co oznacza, że można łatwo używać modułu Eventlet z poziomu
interpretera Pythona lub jako małej części dużej aplikacji.

%package apidocs
Summary:	API documentation for eventlet module
Summary(pl.UTF-8):	Dokumentacja API modułu eventlet
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for eventlet module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu eventlet.

%prep
%setup -q -n eventlet-%{version}

# uses network
%{__rm} tests/greendns_test.py
# requires local mysql
%{__rm} tests/mysqldb_test.py

%build
%py3_build_pyproject

%if %{with tests}
#PYTHONPATH=$(pwd) \
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
sphinx-build-3 -b html doc/source doc/source/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS README.rst
%{py3_sitescriptdir}/eventlet
%{py3_sitescriptdir}/eventlet-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/source/_build/html/{_images,_static,modules,*.html,*.js}
%endif
%changelog
* Mon Apr 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-eventlet.git;a=log;h=master

* Mon Apr 07 2025 Jan Rękorajski <baggins@pld-linux.org> c5a508a
- up to 0.39.1

* Sun Sep 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 1a76fc4
- updated to 0.33.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 25b8471
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c57a893
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c5f5381
- rebuild with python 3.10

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 13dfd46
- updated to 0.33.0
- removed obsolete monotonic patch

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 8a82a42
- noarch; rel 2

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> fdb2f2c
- unconditional noarch subpackages

* Wed Jan 08 2020 Jakub Bogusz <qboosh@pld-linux.org> a9f870c
- disable tests by default, too many random timeouts

* Tue Jan 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 22e1cad
- tests BR: python-subprocess32; disable some tests requiring particular environment

* Tue Jan 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 6d7c3a3
- updated to 0.25.1
- added monotonic patch (use time.monotonic on Python 3 instead of monotonic.monotonic)
- all tests are passing for me now

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> f17f646
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c3b6bf4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Wed Aug 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 4ac47e0
- comment on broken green.ssl functionality with Python 3.7

* Tue Jul 31 2018 Jakub Bogusz <qboosh@pld-linux.org> 63c87a6
- adjusted enum34 dependency removal for older setuptools
- fixed tests command, but some of them fail, so disable by default
- release 2

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> f78da2d
- updated to 0.23.0
- removed outdated deps patch, use sed hack to avoid python3-enum34 dependency

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e04ce51
- release 2 (by relup.sh)

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 243e0dc
- updated to 0.21.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2aaf4ec
- python 3.6
- release 3 (by relup.sh)

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 9566f29
- noarch apidocs

